class UnixFile:
    def path(self) -> str: ...

    def owner(self) -> str: ...

    def group(self) -> str: ...

    def mode(self) -> str: ...

    def checksum(self) -> str: ...

    def ctime(self) -> str: ...
